[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TResizeStyle

Enumerated type with the drawing styles available when resizing using a splitter.

## Declaration

Source position: extctrls.pp line 350

`type TResizeStyle = (`
`rsLine,` |  | Draw a line, but don't update splitter position during movement.
`rsNone,` |  | Draw nothing and don't update splitter position during movement.
`rsPattern,` |  | draw a dot pattern, but don't update splitter position during movement.
`rsUpdate` |  | Draw nothing, but update splitter position during movement
`);`

## Description

TResizeStyle is an enumerated type with the drawing styles and actions available when resizing using a splitter. TResizeStyle is the type used to implement the ResizeStyle property in TCustomSplitter.

## See also

TCustomSplitter.ResizeStyle |  | Display style used when the splitter control is moved.